[//]: # (werk v2)
# ldap: users should be created without the suffix unless there are conflicts

key        | value
---------- | ---
date       | 2024-06-05T12:24:08+00:00
version    | 2.3.0p25
class      | fix
edition    | cre
component  | wato
level      | 1
compatible | yes

Previously, if you had an ldap connection configured with both a "suffix"
and "create users only on login" enabled. The username used to login would
be used to create a user profile.

E.g.
* testuser1 ->  created a userprofile called testuser1
* testuser1@suffix -> created a userprofile called testuser1@suffix

This was incorrect. The suffix should only be used when there are conflicts.

This werk addresses this issue by changing the behaviour to:

* Check if the user (without the suffix) already exists.
* If it's the same user, login with this user. No need to create a new user profile.
* If it's a different user, repeat the process using the username with the suffix.



