[//]: # (werk v2)
# omd update: Do not trigger conflicts during stateful update

key        | value
---------- | ---
date       | 2025-01-13T08:16:03+00:00
version    | 2.3.0p25
class      | fix
edition    | cre
component  | omd
level      | 2
compatible | yes

This change affects users, who run into conflicts while updating their site.

With this Werk, `omd` will automatically choose to continue the update once it is no longer safe to abort the update.

**Background**

In [#Werk 16408](https://checkmk.com/werk/16408), it was made possible to safely abort the update if a conflict occurs.
A conflict can occur due to different reasons, for example:

* An enabled MKPs raises an exception during the update.
* A ruleset is present, which cannot be loaded anymore.
* Files are installed in `local/lib/check_mk/plugins/agent_based`, and they will no longer be loaded in 2.4.0.

These conflicts need to be resolved, and will prompt the user on whether to continue the update (this behaviour can be changed by selecting a conflict mode).

However, the update should only be aborted, before the following message is shown:
```
Completed verifying site configuration. Your site now has version {version}.
```
This message marks the beginning of the stateful update.
If such a stateful update does not complete, it creates a broken site.

The verification steps, which detect conflicts, are executed a second time during the stateful update.

Previously, the verification steps would offer to abort the update.
This would happen even if the user confirmed to continue the update previously and despite the fact that it was no longer safe to abort the update.
