[//]: # (werk v2)
# Synconization of MKPs in distributed setups

key        | value
---------- | ---
compatible | yes
version    | 2.3.0p27
date       | 2025-02-07T14:13:47+00:00
level      | 1
class      | fix
component  | multisite
edition    | cre

The syncronization of MKPs to remote sites in a distributed setup could lead to inconsistent states.
This was particularly noticeable when executing `mkp` commands on the remote sites command line.
Commandline operations on the remote site should be possible, even if the deployment state of the MKPs can only be changed temporarily -- a subsequent syncronization would reset them.

This fixes in particular the following issues:

 * MKPs that where enabled on the remote site could not be re-enabled
 * MKPs that where removed from the central site would not be removed from the remote

These inconsistencies have been caused by an optimization:
Disabled MKPs where never synced at all.
With this werk we sync the whole state of the MKP manager.
In case you have a lot of disabled MKPs, the next syncronization might take a bit longer.
Since these files don't change, the subsequent activations will (virtually) not be affected.